package decorator;

public class GreaterThanMonitoring extends SimpleMonitoring {

    // No construtor, as informações necessárias para o construtor da classe abstrata SimpleMonitoring
    // devem ser recebidos
    public GreaterThanMonitoring(Sensor sensor, float value) {
        super(sensor, value);
    }

    public boolean evaluateCondition() {
        return super.getSensorValue() > super.getValue();
    }
}
