package decorator;

public class LessThanMonitoring extends SimpleMonitoring {

    // No construtor, as informações necessárias para o construtor da classe abstrata SimpleMonitoring
    // devem ser recebidos
    public LessThanMonitoring(Sensor sensor, float value) {
        super(sensor, value);
    }

    public boolean evaluateCondition() {
        return super.getSensorValue() < super.getValue();
    }
}
