package decorator;

public abstract class MonitoringDecorator implements Monitoring{

    // O componente encapsulado pelo Decorator, do tipo Monitoring
    private final Monitoring component;

    public MonitoringDecorator(Monitoring component) {
        this.component = component;
    }

    public boolean evaluateCondition() {
        return this.component.evaluateCondition();
    }


}
